require("dotenv").config();
const { ApolloServer } = require('apollo-server');
const modules = require("./modules/module-loader");
const {schema, context} = modules;

const server = new ApolloServer({
  schema,
  context
});

server
  .listen({
    port: 8383
  })
  .then(info => console.log(`Server started on http://localhost:${info.port}`));
